searchNodes=[{"ref":"XmlBuilder.html","title":"XmlBuilder","type":"module","doc":"A module for generating XML Examples iex&gt; XmlBuilder.document(:person) |&gt; XmlBuilder.generate &quot;&lt;?xml version=\\&quot;1.0\\&quot; encoding=\\&quot;UTF-8\\&quot;?&gt;\\n&lt;person/&gt;&quot; iex&gt; XmlBuilder.document(:person, &quot;Josh&quot;) |&gt; XmlBuilder.generate &quot;&lt;?xml version=\\&quot;1.0\\&quot; encoding=\\&quot;UTF-8\\&quot;?&gt;\\n&lt;person&gt;Josh&lt;/person&gt;&quot; iex&gt; XmlBuilder.document(:person) |&gt; XmlBuilder.generate(format: :none) &quot;&lt;?xml version=\\&quot;1.0\\&quot; encoding=\\&quot;UTF-8\\&quot;?&gt;&lt;person/&gt;&quot; iex&gt; XmlBuilder.element(:person, &quot;Josh&quot;) |&gt; XmlBuilder.generate &quot;&lt;person&gt;Josh&lt;/person&gt;&quot; iex&gt; XmlBuilder.element(:person, %{occupation: &quot;Developer&quot;}, &quot;Josh&quot;) |&gt; XmlBuilder.generate &quot;&lt;person occupation=\\&quot;Developer\\&quot;&gt;Josh&lt;/person&gt;&quot;"},{"ref":"XmlBuilder.html#doctype/2","title":"XmlBuilder.doctype/2","type":"function","doc":"Creates a DOCTYPE declaration with a public identifier. Returns a tuple in the format {:doctype, [:public, name, public_identifier, system_identifier}. Example import XmlBuilder document([ doctype(&quot;html&quot;, public: [&quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot;, &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;]), element(:html, &quot;Hello, world!&quot;) ]) |&gt; generate Outputs &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html&gt;Hello, world!&lt;/html&gt;"},{"ref":"XmlBuilder.html#document/1","title":"XmlBuilder.document/1","type":"function","doc":"Generate an XML document. Returns a binary. Examples iex&gt; XmlBuilder.document(:person) |&gt; XmlBuilder.generate &quot;&lt;?xml version=\\&quot;1.0\\&quot; encoding=\\&quot;UTF-8\\&quot;?&gt;\\n&lt;person/&gt;&quot; iex&gt; XmlBuilder.document(:person, %{id: 1}) |&gt; XmlBuilder.generate &quot;&lt;?xml version=\\&quot;1.0\\&quot; encoding=\\&quot;UTF-8\\&quot;?&gt;\\n&lt;person id=\\&quot;1\\&quot;/&gt;&quot; iex&gt; XmlBuilder.document(:person, %{id: 1}, &quot;some data&quot;) |&gt; XmlBuilder.generate &quot;&lt;?xml version=\\&quot;1.0\\&quot; encoding=\\&quot;UTF-8\\&quot;?&gt;\\n&lt;person id=\\&quot;1\\&quot;&gt;some data&lt;/person&gt;&quot;"},{"ref":"XmlBuilder.html#document/2","title":"XmlBuilder.document/2","type":"function","doc":""},{"ref":"XmlBuilder.html#document/3","title":"XmlBuilder.document/3","type":"function","doc":""},{"ref":"XmlBuilder.html#element/1","title":"XmlBuilder.element/1","type":"function","doc":"Create an XML element. Returns a tuple in the format {name, attributes, content | list}. Examples iex&gt; XmlBuilder.element(:person) {:person, nil, nil} iex&gt; XmlBuilder.element(:person, &quot;data&quot;) {:person, nil, &quot;data&quot;} iex&gt; XmlBuilder.element(:person, %{id: 1}) {:person, %{id: 1}, nil} iex&gt; XmlBuilder.element(:person, %{id: 1}, &quot;data&quot;) {:person, %{id: 1}, &quot;data&quot;} iex&gt; XmlBuilder.element(:person, %{id: 1}, [XmlBuilder.element(:first, &quot;Steve&quot;), XmlBuilder.element(:last, &quot;Jobs&quot;)]) {:person, %{id: 1}, [ {:first, nil, &quot;Steve&quot;}, {:last, nil, &quot;Jobs&quot;} ]}"},{"ref":"XmlBuilder.html#element/2","title":"XmlBuilder.element/2","type":"function","doc":""},{"ref":"XmlBuilder.html#element/3","title":"XmlBuilder.element/3","type":"function","doc":""},{"ref":"XmlBuilder.html#generate/2","title":"XmlBuilder.generate/2","type":"function","doc":"Generate a binary from an XML tree Returns a binary. Examples iex&gt; XmlBuilder.generate(XmlBuilder.element(:person)) &quot;&lt;person/&gt;&quot; iex&gt; XmlBuilder.generate({:person, %{id: 1}, &quot;Steve Jobs&quot;}) &quot;&lt;person id=\\&quot;1\\&quot;&gt;Steve Jobs&lt;/person&gt;&quot; iex&gt; XmlBuilder.generate({:name, nil, [{:first, nil, &quot;Steve&quot;}]}, format: :none) &quot;&lt;name&gt;&lt;first&gt;Steve&lt;/first&gt;&lt;/name&gt;&quot; iex&gt; XmlBuilder.generate({:name, nil, [{:first, nil, &quot;Steve&quot;}]}, whitespace: &quot;&quot;) &quot;&lt;name&gt;\\n&lt;first&gt;Steve&lt;/first&gt;\\n&lt;/name&gt;&quot; iex&gt; XmlBuilder.generate({:name, nil, [{:first, nil, &quot;Steve&quot;}]}) &quot;&lt;name&gt;\\n &lt;first&gt;Steve&lt;/first&gt;\\n&lt;/name&gt;&quot; iex&gt; XmlBuilder.generate(:xml_decl, encoding: &quot;ISO-8859-1&quot;) ~s|&lt;?xml version=&quot;1.0&quot; encoding=&quot;ISO-8859-1&quot;?&gt;|"},{"ref":"XmlBuilder.Format.Indented.html","title":"XmlBuilder.Format.Indented","type":"module","doc":""},{"ref":"XmlBuilder.Format.Indented.html#indentation/2","title":"XmlBuilder.Format.Indented.indentation/2","type":"function","doc":""},{"ref":"XmlBuilder.Format.Indented.html#line_break/0","title":"XmlBuilder.Format.Indented.line_break/0","type":"function","doc":""},{"ref":"XmlBuilder.Format.None.html","title":"XmlBuilder.Format.None","type":"module","doc":""},{"ref":"XmlBuilder.Format.None.html#indentation/2","title":"XmlBuilder.Format.None.indentation/2","type":"function","doc":""},{"ref":"XmlBuilder.Format.None.html#line_break/0","title":"XmlBuilder.Format.None.line_break/0","type":"function","doc":""}]